org.apache.xmlbeans

## Interface XmlNOTATION

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  XmlNotationImpl, XmlNotationRestriction

    public interface XmlNOTATION
    extends XmlAnySimpleType

Corresponds to the XML Schema xs:NOTATION type.

NOTATIONs are a mechanism in XML Schema that is provided for partial backward compatibility with NOTATIONs in DTDs. XML Schema users should almost never have any reason to use this data type.

Convertible to `String`.

### Field Summary

Fields
`static XmlObjectFactory<XmlNOTATION>` `Factory`
`static SchemaType` `type` The constant `SchemaType` object representing this schema type.

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final XmlObjectFactory<XmlNOTATION> Factory

#### type

    static final SchemaType type

The constant `SchemaType` object representing this schema type.